package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.Consumables;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.ChangeStockQuery;
import cn.wise.sc.cement.business.model.query.ChangeValidDateQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-09-03
 */
public interface IConsumablesService extends IService<Consumables> {

	BaseResponse<IPage<Consumables>> getPage(PageQuery pageQuery, String name, String supplierName);

	void export(String name, String supplierName, String fileName, HttpServletResponse response);

	BaseResponse<Consumables> create(Consumables query);

	BaseResponse<Consumables> update(Consumables query);

	BaseResponse<String> enter(ChangeStockQuery query);

	BaseResponse<String> out(ChangeStockQuery query);

	BaseResponse<String> changeValidDate(ChangeValidDateQuery query);

	BaseResponse<String> overdue(Integer id);

}
